import { AdminPermissionDto } from '@modules/admin-authorization/permission/dto/admin-permission.dto';
import { PagedResultDto, PrismaService } from '@moonlightjs/common';
import { Prisma } from '@prisma/client';
export declare class AdminPermissionService {
    protected prisma: PrismaService;
    constructor(prisma: PrismaService);
    findOne(params: Prisma.AdminPermissionFindFirstArgs): Promise<AdminPermissionDto>;
    findAll(params: Prisma.AdminPermissionFindManyArgs): Promise<AdminPermissionDto[]>;
    findAllPagination(params: Prisma.AdminPermissionFindManyArgs): Promise<PagedResultDto<AdminPermissionDto>>;
    create(params: Prisma.AdminPermissionCreateArgs): Promise<AdminPermissionDto>;
    update(params: Prisma.AdminPermissionUpdateArgs): Promise<AdminPermissionDto>;
    remove(where: Prisma.AdminPermissionWhereUniqueInput): Promise<boolean>;
}
