"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPolicyUpdateNesteds = exports.AdminPolicyCreateNesteds = exports.AdminPolicyId = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class AdminPolicyId {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.IsUUID)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], AdminPolicyId.prototype, "id", void 0);
exports.AdminPolicyId = AdminPolicyId;
class AdminPolicyCreateNesteds {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, isArray: true, type: AdminPolicyId }),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Type)(() => AdminPolicyId),
    __metadata("design:type", Array)
], AdminPolicyCreateNesteds.prototype, "connect", void 0);
exports.AdminPolicyCreateNesteds = AdminPolicyCreateNesteds;
class AdminPolicyUpdateNesteds {
}
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        isArray: true,
        type: () => AdminPolicyId,
    }),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Type)(() => AdminPolicyId),
    __metadata("design:type", Array)
], AdminPolicyUpdateNesteds.prototype, "set", void 0);
exports.AdminPolicyUpdateNesteds = AdminPolicyUpdateNesteds;
//# sourceMappingURL=admin-policy-nested.input.js.map