import { Effect } from '@modules/admin-authorization/policy/types/policy';
export declare class PolicyPrincipalInput {
    readonly Service?: string[] | null;
}
export declare class PolicyStatementInput {
    readonly Sid?: string;
    readonly Effect: Effect;
    readonly Action?: string[] | null;
    readonly NotAction?: string[] | null;
    readonly Resource?: string[] | null;
    readonly NotResource?: string[] | null;
    readonly Principal?: PolicyPrincipalInput | null;
    readonly NotPrincipal?: PolicyPrincipalInput | null;
    readonly Condition?: unknown;
}
export declare class CreateAdminPolicyInput {
    readonly name: string;
    readonly version: string;
    readonly statements: PolicyStatementInput[];
    readonly description: string;
}
