"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAdminUserInput = void 0;
const dto_1 = require("../../admin-authorization/role/dto");
const dto_2 = require("../../admin-authorization/policy/dto");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
let CreateAdminUserInput = class CreateAdminUserInput {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminUserInput.prototype, "username", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminUserInput.prototype, "password", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminUserInput.prototype, "email", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminUserInput.prototype, "firstName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminUserInput.prototype, "lastName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], CreateAdminUserInput.prototype, "displayName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, type: () => dto_1.AdminRoleCreateNesteds }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => dto_1.AdminRoleCreateNesteds),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", dto_1.AdminRoleCreateNesteds)
], CreateAdminUserInput.prototype, "roles", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: () => dto_2.AdminPolicyCreateNesteds }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => dto_2.AdminPolicyCreateNesteds),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", dto_2.AdminPolicyCreateNesteds)
], CreateAdminUserInput.prototype, "policies", void 0);
CreateAdminUserInput = __decorate([
    (0, class_transformer_1.Expose)()
], CreateAdminUserInput);
exports.CreateAdminUserInput = CreateAdminUserInput;
//# sourceMappingURL=create-admin-user.input.js.map