import { AdminPolicyDto } from '@modules/admin-authorization/policy/dto/admin-policy.dto';
import { PagedResultDto, PrismaService } from '@moonlightjs/common';
import { Prisma } from '@prisma/client';
export declare class AdminPolicyService {
    protected prisma: PrismaService;
    constructor(prisma: PrismaService);
    findOne(params: Prisma.AdminPolicyFindFirstArgs): Promise<AdminPolicyDto>;
    findAll(params: Prisma.AdminPolicyFindManyArgs): Promise<AdminPolicyDto[]>;
    findAllPagination(params: Prisma.AdminPolicyFindManyArgs): Promise<PagedResultDto<AdminPolicyDto>>;
    create(params: Prisma.AdminPolicyCreateArgs): Promise<AdminPolicyDto>;
    update(params: Prisma.AdminPolicyUpdateArgs): Promise<AdminPolicyDto>;
    remove(where: Prisma.AdminPolicyWhereUniqueInput): Promise<boolean>;
    getAllUserPolicies(userId: string): Promise<AdminPolicyDto[]>;
}
