"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateAdminUserInput = void 0;
const admin_policy_nested_input_1 = require("../../admin-authorization/policy/dto/admin-policy-nested.input");
const admin_role_nested_input_1 = require("../../admin-authorization/role/dto/admin-role-nested.input");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class UpdateAdminUserInput {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], UpdateAdminUserInput.prototype, "email", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], UpdateAdminUserInput.prototype, "firstName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true, type: String }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], UpdateAdminUserInput.prototype, "lastName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, nullable: true }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], UpdateAdminUserInput.prototype, "displayName", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, type: () => admin_role_nested_input_1.AdminRoleUpdateNesteds }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => admin_role_nested_input_1.AdminRoleUpdateNesteds),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", admin_role_nested_input_1.AdminRoleUpdateNesteds)
], UpdateAdminUserInput.prototype, "roles", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, type: () => admin_policy_nested_input_1.AdminPolicyUpdateNesteds }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => admin_policy_nested_input_1.AdminPolicyUpdateNesteds),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", admin_policy_nested_input_1.AdminPolicyUpdateNesteds)
], UpdateAdminUserInput.prototype, "policies", void 0);
exports.UpdateAdminUserInput = UpdateAdminUserInput;
//# sourceMappingURL=update-admin-user.input.js.map